<?php
namespace Magento\Sales\Block\Order\Item\Renderer\DefaultRenderer;

/**
 * Interceptor class for @see \Magento\Sales\Block\Order\Item\Renderer\DefaultRenderer
 */
class Interceptor extends \Magento\Sales\Block\Order\Item\Renderer\DefaultRenderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Stdlib\StringUtils $string, \Magento\Catalog\Model\Product\OptionFactory $productOptionFactory, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $string, $productOptionFactory, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
